# jq

[![Docker Pulls](https://img.shields.io/docker/pulls/volkerraschek/jq)](https://hub.docker.com/r/volkerraschek/jq)

This project contains all sources to build the container image `git.cryptic.systems/volker.raschek/jq`. The primary goal
of this project is to package the binary `jq` as container image. The source code of the binary can be found in the
upstream project of [adrienverge](https://github.com/adrienverge/jq).

The workflow or how `jq` can in general be used is documented [here](https://jq.readthedocs.io/en/stable/). An example
how to use this image and read a JSON file from stdin is documented below. Pleas adapt the path of the JSON file.

```bash
# read file (stdin)
docker run \
  --interactive \
  --rm \
    git.cryptic.systems/volker.raschek/jq:latest < /etc/docker/daemon.json

# cat (stdin)
cat /etc/docker/daemon.json | docker run \
  --interactive \
  --rm \
    git.cryptic.systems/volker.raschek/jq:latest
```
